/** \file main.c
 *
 * \brief Console: standard input/output.
 *
 * This example program demonstrates the use of the standard input output routines
 * with the virtual COM port.
 *
 * \note
 * You use the USART to communicate via the virtual COM port. But one can send only
 * one character at a time with the USART. C has a standard module to send something
 * more complex such as strings or numbers. This module connects stdio with the virtual
 * COM port so that it is possible to use functions like getchar, putchar, gets, puts
 * and printf with the virtual COM port. Please use the Internet for more information.
 *
 * \author    Wolfgang Neff
 * \version   1.0
 * \date      2018-07-15
 *
 * \par History
 *      Created: 2018-07-15
 *
 */

#include <stdio.h>
#include <avr/io.h>

#include "console.h"

// The serial line parameters for the virtual COM port are 115200 8N1.
int main(void)
{
	// Initialize the module.
    console_init();
    while(1)
    {
		// Read one character from console.
	    char c = getchar();
		// Print one character at the console.
	    printf("%c", c);
    }
}
